package intrinsic.flash.data;

public class SQLStatement extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public intrinsic.flash.data.SQLConnection sqlConnection;
	public boolean executing;
	public intrinsic.Class itemClass;
	public Object parameters;
	public String text;
	public boolean prepared;

	/** Variables */

	/** Constants */

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public SQLStatement() {
}


/** Static Methods */

/** Methods */
public native void cancel();
public native void prepare();
public native void prepare(intrinsic.flash.net.Responder arg0);
public native intrinsic.flash.data.SQLResult getResult();
public native void next();
public native void next(int arg0);
public native void next(int arg0, intrinsic.flash.net.Responder arg1);
public native void reset();
public native void reset(intrinsic.flash.net.Responder arg0);
public native void clearParameters();
public native void execute();
public native void execute(int arg0);
public native void execute(int arg0, intrinsic.flash.net.Responder arg1);

}
